#include <iostream>
#include <math.h>
#include <string>

using namespace std;

int main()
{
    int s =0;
    int t;
    cin>>t;
    int*n=new int[t];
    int*q=new int[t];
    for(int i=0;i<t;i++)
    {

        cin>>n[i];
        cin>>q[i];
        int*b=new int[t];
        for(int o=0;o<n[i];o++)
        {
            cin>>b[s];
            s++;
        }
         for(int d=0;d<50;d++)
        {
            cout<<b[d];
        }


    }

    return 0;

}
